#include 'hmg.ch'
#define cPREFIX    1
#define cNOMBRE    2

DECLARE WINDOW prefixgs1 

Procedure  prefixgs1() 
* Public aImages      := {}    
Public aOrden       := {}                               

/********************************************************* */  

Public cImagen      := ''
Public cNumero      := ''
Public nNumero      := 0
* Public aCargarItems := {} 
* Public bColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , { 245,245,245 } , { 255,255,255 } ) }	
* Public fColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , { 0,0,150 } , { 0,0,0 } ) }	
SET NAVIGATION EXTENDED
  
 DBSELECTAREA( "BANDERAS" )
    BANDERAS->( DBGOTOP() )
  Do While !Eof()
         AADD( aImages , 'C:\GS1\Banderas\16x16\' + ALLTRIM(BANDERAS->NOMBRE ) + '.bmp' )
         AADD( aOrden  , { BANDERAS->CODIGO  , ALLTRIM(BANDERAS->NOMBRE) } )
         BANDERAS->(DBSKIP(1))
         
  End Do
  
 DBSELECTAREA( "PrefixGS1" )  
 
 OpenGrid()
 
 prefixgs1.lblCounter.Value := "Delay is : " + NTOC( SECO() - nBegSeco ) + " seconds."
 
 * MsgBox( "End of Initialization" )
 
*   Load Window .\Formularios\prefixgs1
*   prefixgs1.Center
*   prefixgs1.Activate
   
Return Nil

/********************************************************* */

Function CargarItems()                                 

  PrefixGS1->(DBGOTOP())
  Do While !Eof()
        AADD( aCargarItems ,  { PrefixGS1->IMAGE - 1        , ;
                                PrefixGS1->PREFIX           , ;
                                PrefixGS1->NOMBRE           , ;
                                ALLTRIM(STR(PrefixGS1->IMAGE)) } )
                  PrefixGS1->(DBSKIP(1))
                
    End Do
      
    
Return ( aCargarItems )

/********************************************************* */       

Procedure About()                   


MSGinfo("GS1.PRG                                                                            " + CHR(10) +;
        "Create a Table of GS1 Prefixes                                                     " + CHR(10) +;
        "See: http://www.gs1.org/barcodes/support/prefix_list                               " + CHR(10) +;
        "table is included containing 121 images of flags to include in your                " + CHR(10) +;
        " application POS (Point of Sale), and controlling the origin of the products.      " + CHR(10) +;
        "                                                                                   " + CHR(10) +;     
        "                                                                                   " + CHR(10) +;
        "is distributed as is, this code may have errors that can be solved in any updates  " + CHR(10) +;
        "                                                                                   " + CHR(10) +;
        "These updates will be published without entitled to receive notice of them.        " + CHR(10) +;
        "                                                                                   " + CHR(10) +;
        "It was developed mainly with the IDE Harbour Roberto Lopez.                        " + CHR(10) +;
        "Harbour: http://harbour-project.sourceforge.net/                                   " + CHR(10) +;
        "HMG.3.0.42 Download Link                                                           " + CHR(10) +;
        "http://sourceforge.net/projects/hmg/files/HMG3/HMG.3.0.42.exe/download             " + CHR(10) +;
        "HMG Forum Link : http://hmgforum.com/                                              " + CHR(10) +;
        "                                                                                   " + CHR(10) +;
        "With the help Jair Phino unresolved with ALLTRIM ()                                " + CHR(10) +;
        "Thanks to Grigory Filatov by the council to continue                               " + CHR(10) +;
        "                                                                                   " + CHR(10) +;
        "This material uses this type of license.                                           " + CHR(10) +;
        "http://creativecommons.org/licenses/by-sa/3.0/                                     " + CHR(10) +;
        "                                                                                   " + CHR(10) +;
        "DaNiElMaXiMiLiAnO                                danielmaximiliano@yahoo.com.ar    " ;
        , "Informacin del Programa ")
Return

/********************************************************* */ 

*----------------------------                    
Procedure BarEAN13()
*----------------------------
Return

PROCEDURE OpenGrid()

    DEFINE GRID Prefix 
         PARENT prefixgs1 
            ROW     50 
            COL     5
			WIDTH   430 
			HEIGHT  615 
			HEADERS { '...'          , ' Prefix '     , '  Name  '    , ' nImage '       }
			WIDTHS  { 30             , 80             , 230             , 60              }
			JUSTIFY { GRID_JTFY_LEFT , GRID_JTFY_LEFT , GRID_JTFY_LEFT  , GRID_JTFY_RIGHT }
			VALUE   1 
			ITEMS   CargarItems()
			IMAGE   aImages 
			DYNAMICBACKCOLOR { bColor      , bColor      , bColor   , bColor    } 
		    DYNAMICFORECOLOR { fColor      , fColor      , fColor   , fColor    }
		    ITEMCOUNT 1026
		    ONDBLCLICK About()
	END GRID

RETURN //  OpenGrid()

